# <ifnot>

[This is preliminary documentation and subject to change.]

(Deprecated)

The opposite of the `if` task.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
comparefile | string | Deprecated. The file to check against for the uptodate file. | False
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
propertyexists | string | Deprecated. Used to test whether a property exists. | False
propertytrue | string | Deprecated. Used to test whether a property is true. | False
targetexists | string | Deprecated. Used to test whether a target exists. | False
test | string | Used to test arbitrary boolean expression. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
uptodatefile | string | Deprecated. The file to compare if uptodate. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Nested Elements:

#### <comparefiles>

Deprecated. The <fileset> that contains the comparison files for the `uptodatefile`(s) check.

#### </comparefiles>

#### <uptodatefiles>

Deprecated. The <fileset> that contains the uptodate files for the `comparefile`(s) check.

#### </uptodatefiles>

### Examples

- Check that a property does not exist.

                  <ifnot propertyexists="myProp">
                      <echo message="myProp does not exist."/>
                  </if>

  Check that a property value is not true.

                  <ifnot propertytrue="myProp">
                      <echo message="myProp is not true."/>
                  </if>

- Check that a target does not exist.

                  <ifnot targetexists="myTarget">
                      <echo message="myTarget does not exist."/>
                  </if>

### Requirements

Assembly: NAnt.Core (0.91.3881.0)